
import type { DefineComponent, SlotsType } from 'vue'
type IslandComponent<T extends DefineComponent> = T & DefineComponent<{}, {refresh: () => Promise<void>}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, SlotsType<{ fallback: { error: unknown } }>>
interface _GlobalComponents {
      'CustomDropdown': typeof import("../components/CustomDropdown.vue")['default']
    'NetworkConnction': typeof import("../components/NetworkConnction.vue")['default']
    'Brands': typeof import("../components/brands.vue")['default']
    'CarCard': typeof import("../components/carCard.vue")['default']
    'CompanyCash': typeof import("../components/companyCash.vue")['default']
    'CompanyFinance': typeof import("../components/companyFinance.vue")['default']
    'EmptyWishList': typeof import("../components/emptyWishList.vue")['default']
    'HomeBanks': typeof import("../components/home/HomeBanks.vue")['default']
    'HomeBrands': typeof import("../components/home/HomeBrands.vue")['default']
    'HomeCars': typeof import("../components/home/HomeCars.vue")['default']
    'HomeHow': typeof import("../components/home/HomeHow.vue")['default']
    'HomeOrder': typeof import("../components/home/HomeOrder.vue")['default']
    'HomeSearch': typeof import("../components/home/HomeSearch.vue")['default']
    'HomeSlider': typeof import("../components/home/HomeSlider.vue")['default']
    'HomeWhy': typeof import("../components/home/HomeWhy.vue")['default']
    'IconArrow': typeof import("../components/icon/IconArrow.vue")['default']
    'IconLoader': typeof import("../components/icon/IconLoader.vue")['default']
    'IconMainLogoLtr': typeof import("../components/icon/IconMainLogoLtr.vue")['default']
    'IconMainLogoRtl': typeof import("../components/icon/IconMainLogoRtl.vue")['default']
    'IconSearch': typeof import("../components/icon/IconSearch.vue")['default']
    'IconWhiteLogoLtr': typeof import("../components/icon/IconWhiteLogoLtr.vue")['default']
    'IconWhiteLogoRtl': typeof import("../components/icon/IconWhiteLogoRtl.vue")['default']
    'IndCash': typeof import("../components/indCash.vue")['default']
    'IndFinance': typeof import("../components/indFinance.vue")['default']
    'Loading': typeof import("../components/loading.vue")['default']
    'Lottie': typeof import("../components/lottie.vue")['default']
    'MainFooter': typeof import("../components/mainFooter.vue")['default']
    'NavBar': typeof import("../components/navBar.vue")['default']
    'OtpContainer': typeof import("../components/otpContainer.vue")['default']
    'PopupOne': typeof import("../components/popupOne.vue")['default']
    'Riyal': typeof import("../components/riyal.vue")['default']
    'Slider': typeof import("../components/slider.vue")['default']
    'NuxtWelcome': typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
    'NuxtLayout': typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
    'NuxtErrorBoundary': typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
    'ClientOnly': typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
    'DevOnly': typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
    'ServerPlaceholder': typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
    'NuxtLink': typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
    'NuxtLoadingIndicator': typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
    'NuxtRouteAnnouncer': typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
    'NuxtImg': typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtImg.vue")['default']
    'NuxtPicture': typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtPicture.vue")['default']
    'Swiper': typeof import("swiper/vue")['Swiper']
    'SwiperSlide': typeof import("swiper/vue")['SwiperSlide']
    'NuxtLinkLocale': typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/NuxtLinkLocale")['default']
    'SwitchLocalePathLink': typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/SwitchLocalePathLink")['default']
    'DelayHydration': typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/DelayHydration")['default']
    'HydrationStatus': typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/HydrationStatus.vue")['default']
    'NuxtPage': typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
    'NoScript': typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
    'Link': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
    'Base': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
    'Title': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
    'Meta': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
    'Style': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
    'Head': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
    'Html': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
    'Body': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
    'NuxtIsland': typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
    'NuxtRouteAnnouncer': IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
      'LazyCustomDropdown': typeof import("../components/CustomDropdown.vue")['default']
    'LazyNetworkConnction': typeof import("../components/NetworkConnction.vue")['default']
    'LazyBrands': typeof import("../components/brands.vue")['default']
    'LazyCarCard': typeof import("../components/carCard.vue")['default']
    'LazyCompanyCash': typeof import("../components/companyCash.vue")['default']
    'LazyCompanyFinance': typeof import("../components/companyFinance.vue")['default']
    'LazyEmptyWishList': typeof import("../components/emptyWishList.vue")['default']
    'LazyHomeBanks': typeof import("../components/home/HomeBanks.vue")['default']
    'LazyHomeBrands': typeof import("../components/home/HomeBrands.vue")['default']
    'LazyHomeCars': typeof import("../components/home/HomeCars.vue")['default']
    'LazyHomeHow': typeof import("../components/home/HomeHow.vue")['default']
    'LazyHomeOrder': typeof import("../components/home/HomeOrder.vue")['default']
    'LazyHomeSearch': typeof import("../components/home/HomeSearch.vue")['default']
    'LazyHomeSlider': typeof import("../components/home/HomeSlider.vue")['default']
    'LazyHomeWhy': typeof import("../components/home/HomeWhy.vue")['default']
    'LazyIconArrow': typeof import("../components/icon/IconArrow.vue")['default']
    'LazyIconLoader': typeof import("../components/icon/IconLoader.vue")['default']
    'LazyIconMainLogoLtr': typeof import("../components/icon/IconMainLogoLtr.vue")['default']
    'LazyIconMainLogoRtl': typeof import("../components/icon/IconMainLogoRtl.vue")['default']
    'LazyIconSearch': typeof import("../components/icon/IconSearch.vue")['default']
    'LazyIconWhiteLogoLtr': typeof import("../components/icon/IconWhiteLogoLtr.vue")['default']
    'LazyIconWhiteLogoRtl': typeof import("../components/icon/IconWhiteLogoRtl.vue")['default']
    'LazyIndCash': typeof import("../components/indCash.vue")['default']
    'LazyIndFinance': typeof import("../components/indFinance.vue")['default']
    'LazyLoading': typeof import("../components/loading.vue")['default']
    'LazyLottie': typeof import("../components/lottie.vue")['default']
    'LazyMainFooter': typeof import("../components/mainFooter.vue")['default']
    'LazyNavBar': typeof import("../components/navBar.vue")['default']
    'LazyOtpContainer': typeof import("../components/otpContainer.vue")['default']
    'LazyPopupOne': typeof import("../components/popupOne.vue")['default']
    'LazyRiyal': typeof import("../components/riyal.vue")['default']
    'LazySlider': typeof import("../components/slider.vue")['default']
    'LazyNuxtWelcome': typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
    'LazyNuxtLayout': typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
    'LazyNuxtErrorBoundary': typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
    'LazyClientOnly': typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
    'LazyDevOnly': typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
    'LazyServerPlaceholder': typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
    'LazyNuxtLink': typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
    'LazyNuxtLoadingIndicator': typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
    'LazyNuxtRouteAnnouncer': typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
    'LazyNuxtImg': typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtImg.vue")['default']
    'LazyNuxtPicture': typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtPicture.vue")['default']
    'LazySwiper': typeof import("swiper/vue")['Swiper']
    'LazySwiperSlide': typeof import("swiper/vue")['SwiperSlide']
    'LazyNuxtLinkLocale': typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/NuxtLinkLocale")['default']
    'LazySwitchLocalePathLink': typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/SwitchLocalePathLink")['default']
    'LazyDelayHydration': typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/DelayHydration")['default']
    'LazyHydrationStatus': typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/HydrationStatus.vue")['default']
    'LazyNuxtPage': typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
    'LazyNoScript': typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
    'LazyLink': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
    'LazyBase': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
    'LazyTitle': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
    'LazyMeta': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
    'LazyStyle': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
    'LazyHead': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
    'LazyHtml': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
    'LazyBody': typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
    'LazyNuxtIsland': typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
    'LazyNuxtRouteAnnouncer': IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
}

declare module 'vue' {
  export interface GlobalComponents extends _GlobalComponents { }
}

export const CustomDropdown: typeof import("../components/CustomDropdown.vue")['default']
export const NetworkConnction: typeof import("../components/NetworkConnction.vue")['default']
export const Brands: typeof import("../components/brands.vue")['default']
export const CarCard: typeof import("../components/carCard.vue")['default']
export const CompanyCash: typeof import("../components/companyCash.vue")['default']
export const CompanyFinance: typeof import("../components/companyFinance.vue")['default']
export const EmptyWishList: typeof import("../components/emptyWishList.vue")['default']
export const HomeBanks: typeof import("../components/home/HomeBanks.vue")['default']
export const HomeBrands: typeof import("../components/home/HomeBrands.vue")['default']
export const HomeCars: typeof import("../components/home/HomeCars.vue")['default']
export const HomeHow: typeof import("../components/home/HomeHow.vue")['default']
export const HomeOrder: typeof import("../components/home/HomeOrder.vue")['default']
export const HomeSearch: typeof import("../components/home/HomeSearch.vue")['default']
export const HomeSlider: typeof import("../components/home/HomeSlider.vue")['default']
export const HomeWhy: typeof import("../components/home/HomeWhy.vue")['default']
export const IconArrow: typeof import("../components/icon/IconArrow.vue")['default']
export const IconLoader: typeof import("../components/icon/IconLoader.vue")['default']
export const IconMainLogoLtr: typeof import("../components/icon/IconMainLogoLtr.vue")['default']
export const IconMainLogoRtl: typeof import("../components/icon/IconMainLogoRtl.vue")['default']
export const IconSearch: typeof import("../components/icon/IconSearch.vue")['default']
export const IconWhiteLogoLtr: typeof import("../components/icon/IconWhiteLogoLtr.vue")['default']
export const IconWhiteLogoRtl: typeof import("../components/icon/IconWhiteLogoRtl.vue")['default']
export const IndCash: typeof import("../components/indCash.vue")['default']
export const IndFinance: typeof import("../components/indFinance.vue")['default']
export const Loading: typeof import("../components/loading.vue")['default']
export const Lottie: typeof import("../components/lottie.vue")['default']
export const MainFooter: typeof import("../components/mainFooter.vue")['default']
export const NavBar: typeof import("../components/navBar.vue")['default']
export const OtpContainer: typeof import("../components/otpContainer.vue")['default']
export const PopupOne: typeof import("../components/popupOne.vue")['default']
export const Riyal: typeof import("../components/riyal.vue")['default']
export const Slider: typeof import("../components/slider.vue")['default']
export const NuxtWelcome: typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
export const NuxtLayout: typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
export const NuxtErrorBoundary: typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
export const ClientOnly: typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
export const DevOnly: typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
export const ServerPlaceholder: typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
export const NuxtLink: typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
export const NuxtLoadingIndicator: typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
export const NuxtRouteAnnouncer: typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
export const NuxtImg: typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtImg.vue")['default']
export const NuxtPicture: typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtPicture.vue")['default']
export const Swiper: typeof import("swiper/vue")['Swiper']
export const SwiperSlide: typeof import("swiper/vue")['SwiperSlide']
export const NuxtLinkLocale: typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/NuxtLinkLocale")['default']
export const SwitchLocalePathLink: typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/SwitchLocalePathLink")['default']
export const DelayHydration: typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/DelayHydration")['default']
export const HydrationStatus: typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/HydrationStatus.vue")['default']
export const NuxtPage: typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
export const NoScript: typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
export const Link: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
export const Base: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
export const Title: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
export const Meta: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
export const Style: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
export const Head: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
export const Html: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
export const Body: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
export const NuxtIsland: typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
export const NuxtRouteAnnouncer: IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>
export const LazyCustomDropdown: typeof import("../components/CustomDropdown.vue")['default']
export const LazyNetworkConnction: typeof import("../components/NetworkConnction.vue")['default']
export const LazyBrands: typeof import("../components/brands.vue")['default']
export const LazyCarCard: typeof import("../components/carCard.vue")['default']
export const LazyCompanyCash: typeof import("../components/companyCash.vue")['default']
export const LazyCompanyFinance: typeof import("../components/companyFinance.vue")['default']
export const LazyEmptyWishList: typeof import("../components/emptyWishList.vue")['default']
export const LazyHomeBanks: typeof import("../components/home/HomeBanks.vue")['default']
export const LazyHomeBrands: typeof import("../components/home/HomeBrands.vue")['default']
export const LazyHomeCars: typeof import("../components/home/HomeCars.vue")['default']
export const LazyHomeHow: typeof import("../components/home/HomeHow.vue")['default']
export const LazyHomeOrder: typeof import("../components/home/HomeOrder.vue")['default']
export const LazyHomeSearch: typeof import("../components/home/HomeSearch.vue")['default']
export const LazyHomeSlider: typeof import("../components/home/HomeSlider.vue")['default']
export const LazyHomeWhy: typeof import("../components/home/HomeWhy.vue")['default']
export const LazyIconArrow: typeof import("../components/icon/IconArrow.vue")['default']
export const LazyIconLoader: typeof import("../components/icon/IconLoader.vue")['default']
export const LazyIconMainLogoLtr: typeof import("../components/icon/IconMainLogoLtr.vue")['default']
export const LazyIconMainLogoRtl: typeof import("../components/icon/IconMainLogoRtl.vue")['default']
export const LazyIconSearch: typeof import("../components/icon/IconSearch.vue")['default']
export const LazyIconWhiteLogoLtr: typeof import("../components/icon/IconWhiteLogoLtr.vue")['default']
export const LazyIconWhiteLogoRtl: typeof import("../components/icon/IconWhiteLogoRtl.vue")['default']
export const LazyIndCash: typeof import("../components/indCash.vue")['default']
export const LazyIndFinance: typeof import("../components/indFinance.vue")['default']
export const LazyLoading: typeof import("../components/loading.vue")['default']
export const LazyLottie: typeof import("../components/lottie.vue")['default']
export const LazyMainFooter: typeof import("../components/mainFooter.vue")['default']
export const LazyNavBar: typeof import("../components/navBar.vue")['default']
export const LazyOtpContainer: typeof import("../components/otpContainer.vue")['default']
export const LazyPopupOne: typeof import("../components/popupOne.vue")['default']
export const LazyRiyal: typeof import("../components/riyal.vue")['default']
export const LazySlider: typeof import("../components/slider.vue")['default']
export const LazyNuxtWelcome: typeof import("../node_modules/nuxt/dist/app/components/welcome.vue")['default']
export const LazyNuxtLayout: typeof import("../node_modules/nuxt/dist/app/components/nuxt-layout")['default']
export const LazyNuxtErrorBoundary: typeof import("../node_modules/nuxt/dist/app/components/nuxt-error-boundary")['default']
export const LazyClientOnly: typeof import("../node_modules/nuxt/dist/app/components/client-only")['default']
export const LazyDevOnly: typeof import("../node_modules/nuxt/dist/app/components/dev-only")['default']
export const LazyServerPlaceholder: typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']
export const LazyNuxtLink: typeof import("../node_modules/nuxt/dist/app/components/nuxt-link")['default']
export const LazyNuxtLoadingIndicator: typeof import("../node_modules/nuxt/dist/app/components/nuxt-loading-indicator")['default']
export const LazyNuxtRouteAnnouncer: typeof import("../node_modules/nuxt/dist/app/components/nuxt-route-announcer")['default']
export const LazyNuxtImg: typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtImg.vue")['default']
export const LazyNuxtPicture: typeof import("../node_modules/@nuxt/image/dist/runtime/components/NuxtPicture.vue")['default']
export const LazySwiper: typeof import("swiper/vue")['Swiper']
export const LazySwiperSlide: typeof import("swiper/vue")['SwiperSlide']
export const LazyNuxtLinkLocale: typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/NuxtLinkLocale")['default']
export const LazySwitchLocalePathLink: typeof import("../node_modules/@nuxtjs/i18n/dist/runtime/components/SwitchLocalePathLink")['default']
export const LazyDelayHydration: typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/DelayHydration")['default']
export const LazyHydrationStatus: typeof import("../node_modules/nuxt-delay-hydration/dist/runtime/components/HydrationStatus.vue")['default']
export const LazyNuxtPage: typeof import("../node_modules/nuxt/dist/pages/runtime/page")['default']
export const LazyNoScript: typeof import("../node_modules/nuxt/dist/head/runtime/components")['NoScript']
export const LazyLink: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Link']
export const LazyBase: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Base']
export const LazyTitle: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Title']
export const LazyMeta: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Meta']
export const LazyStyle: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Style']
export const LazyHead: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Head']
export const LazyHtml: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Html']
export const LazyBody: typeof import("../node_modules/nuxt/dist/head/runtime/components")['Body']
export const LazyNuxtIsland: typeof import("../node_modules/nuxt/dist/app/components/nuxt-island")['default']
export const LazyNuxtRouteAnnouncer: IslandComponent<typeof import("../node_modules/nuxt/dist/app/components/server-placeholder")['default']>

export const componentNames: string[]
